Docs home

Get Submissions List by Feedback Form

Lists the submissions to one feedback form, with who submitted and which live class, course or material it was about. Use it to export class feedback.

GET/feedback/form/responses
Get Submissions List by Feedback Form
curl --request GET \
  --url 'https://<your-api-host>/nuSource/api/v1/feedback/form/responses?form_id=66b49eab0772452b780c7714&page=1&per_page=10' \
  --header 'APIKEY: <your-api-key>' \
  --header 'ORGID: <your-org-id>'
{
  "code": 200,
  "message": "Success",
  "form_responses": [
    {
      "submission_id": "6768dc3cadec47e2040e87b2",
      "user_id": 89433922,
      "name": "Sachinendra Singh",
      "batch_name": "New Beginners (August Ongoing 2022)",
      "session_name": "Concept Session - Judgment writing",
      "course_name": "Lord of the courses (Judiciary Test Preparation) ",
      "submitted_on": 1734925467
    },
    {
      "submission_id": "6768c22545291e8c8f0571c4",
      "user_id": 89003196,
      "name": "Anubhvya M",
      "batch_name": "Guest Lecture",
      "session_name": "Guest Lecture - Jet airways judgment",
      "course_name": "Guest Lecture",
      "submitted_on": 1734918697
    },
    {
      "submission_id": "6768613b3c89dc851103aa02",
      "user_id": 90983136,
      "name": "Kapil Jha",
      "batch_name": "Guest Lecture",
      "session_name": "Guest Lecture - Jet airways judgment",
      "course_name": "Guest Lecture",
      "submitted_on": 1734897122
    },
    {
      "submission_id": "6768553772a1d87d1d09ed72",
      "user_id": 91066962,
      "name": "Rajni Chandra",
      "batch_name": "Placements & Freelancing Course",
      "session_name": "Optional Session - Exploring Niche Areas - Legal, HR, Finance & Patents",
      "course_name": "Placements & Freelancing Course",
      "submitted_on": 1734890815
    },
    {
      "submission_id": "67685044572e5390750b71e2",
      "user_id": 91097789,
      "name": "Adv Aneeta Dinesh Singh",
      "batch_name": "Dip in Sports & Fashion: Dec-01-2024",
      "session_name": "Mentoring Session-Diploma in Sports Law, Fashion and Online Gaming-Jun-01-2024 & Dec-01-2024",
      "course_name": "Sports Law, Fashion and Online Gaming",
      "submitted_on": 1734889554
    },
    {
      "submission_id": "67684bf31d7e171f760feb02",
      "user_id": 91070972,
      "name": "P KIRANODAYA KUMAR",
      "batch_name": "AI for Legal Practice BC: Sep-01-2024",
      "session_name": "Concept Session - Training Program on How to Use AI to Grow Your Legal Practice-Sep-01, Oct-01- 2024",
      "course_name": "Training Program on How to Use AI to Grow Your Legal Practice",
      "submitted_on": 1734888442
    },
    {
      "submission_id": "676849f32277d56c92016302",
      "user_id": 91299618,
      "name": "Sunilkumar Mishra",
      "batch_name": "AI for Legal Practice: Dec-01-2024",
      "session_name": "Concept session-Training Program on How to Use AI to Grow Your Legal Practice-Dec-01-2024",
      "course_name": "Training Program on How to Use AI to Grow Your Legal Practice",
      "submitted_on": 1734887933
    },
    {
      "submission_id": "6768491f37b539129c0c4854",
      "user_id": 91319482,
      "name": "Khushboo",
      "batch_name": "AI for Legal Practice: Dec-01-2024",
      "session_name": "Concept session-Training Program on How to Use AI to Grow Your Legal Practice-Dec-01-2024",
      "course_name": "Training Program on How to Use AI to Grow Your Legal Practice",
      "submitted_on": 1734887722
    },
    {
      "submission_id": "676847895856942cf70cabf2",
      "user_id": 91310820,
      "name": "Shiju Abraham Verghis",
      "batch_name": "AI for Legal Practice: Dec-01-2024",
      "session_name": "Concept session-Training Program on How to Use AI to Grow Your Legal Practice-Dec-01-2024",
      "course_name": "Training Program on How to Use AI to Grow Your Legal Practice",
      "submitted_on": 1734887319
    },
    {
      "submission_id": "676847609a4b0694170cd532",
      "user_id": 91327026,
      "name": "beetihotra sadhu",
      "batch_name": "AI for Legal Practice: Dec-01-2024",
      "session_name": "Concept session-Training Program on How to Use AI to Grow Your Legal Practice-Dec-01-2024",
      "course_name": "Training Program on How to Use AI to Grow Your Legal Practice",
      "submitted_on": 1734887295
    }
  ],
  "page_context": {
    "page": 1,
    "per_page": 10,
    "has_more_page": true,
    "total_rows": 8763
  }
}

Access: Institute admins, admins and tutors, plus custom roles that can read feedback details. Depending on institute settings, tutors only see feedback for their own batches.

Query parameters
form_idstringrequired
Feedback form _id from "Feedback Form List".
pageinteger
Page number. Default 1.
per_pageinteger
Results per page. Default 10.
D newest first (default) or A oldest first, by submission time.
start_date, end_dateUnix timestamp
Only submissions made between these times. Send both.
Only feedback on live classes held between these times. Send both.
filtersstring
JSON object, URL-encoded, with arrays of IDs: course_id, batch_id, session_id (live class), tutor_id.
form_typestring
Send survey for survey forms (not tied to a class or course).
Response200application/json
codeinteger
Example: 200
messagestring
Example: Success
Show child attributesHide child attributes
Example: 6768dc3cadec47e2040e87b2
Example: 89433922
Example: Sachinendra Singh
Example: New Beginners (August Ongoing 2022)
Example: Concept Session - Judgment writing
Example: Lord of the courses (Judiciary Test Preparation)
Unix timestamp
Example: 1734925467
Show child attributesHide child attributes
Example: 1
Example: 10
Example: true
Example: 8763

Notes: Only submissions in your organization's batches, courses and mentoring sessions are returned. Rate limit: 30 requests per minute; going over locks you out for 30 minutes.

Updated yesterday

Ask AI